Imagick::setFormat
Imagick::setImageBackgroundColor
The Imagick class
PHP Manual

# Imagick::setImage

(No version information available, might be only in CVS)

Imagick::setImage — Replaces image in the object

### Description

bool Imagick::setImage ( Imagick `$replace` )
Warning

This function is currently not documented; only its argument list is available.

Replaces the current image sequence with the image from replace object.

### Parameters

`replace`

  The replace Imagick object

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 A Imagick::setImage() example

An example of using Imagick::setImage()

`<?php
/* Create the objects */
$image = new Imagick('source.jpg');
$replace = new Imagick('replace.jpg');
/* source.jpg is replaced with replace.jpg */
$image->setImage($replace);
/* output the image */
header('Content-type: image/jpeg');
echo $image;
?>`

Imagick::setFormat
Imagick::setImageBackgroundColor
The Imagick class
PHP Manual